diff --git a/pkgmngt/packFixScripts.sh.pacman b/pkgmngt/packFixScripts.sh.pacman
new file mode 100644
index 0000000..7ba0663
--- /dev/null
+++ b/pkgmngt/packFixScripts.sh.pacman
@@ -0,0 +1,965 @@
+#!/bin/bash
+
+#### Create dependencies
+echo -n "Extracting dependency list..."
+xsltproc --nonet -o ${JHALFSDIR}/dependencies.list \
+         ${JHALFSDIR}/dependencies.xsl ${JHALFSDIR}/prbook.xml
+# Some Fixups:
+# Remove the xml header
+sed '/xml version/d' -i ${JHALFSDIR}/dependencies.list
+# Get rid of all lines containing "None"
+sed '/None/d' -i ${JHALFSDIR}/dependencies.list
+# No checkdepends for "No test suite"
+sed '/No test/d' -i ${JHALFSDIR}/dependencies.list
+# Make everything lowercase
+sed -e 's/\(.*\)/\L\1/' -i ${JHALFSDIR}/dependencies.list
+# Fix a minor wrinkle with ulink space normalization
+sed -e 's/, and/, and /' \
+    -e '/[a-z]and[a-z]/s/and/ and /' -i ${JHALFSDIR}/dependencies.list
+# "and" is unnecessary, but we have multiple variants in English
+sed '/[a-z], and/s/ and / /' -i ${JHALFSDIR}/dependencies.list
+sed 's/ and /, /' -i ${JHALFSDIR}/dependencies.list
+# Additional issue with ulink space normalization
+sed -e '/[a-z],[a-z]/s/,/, /g' -e 's/  / /g' -i ${JHALFSDIR}/dependencies.list
+# Hypenate packages with sapces in them
+sed 's/berkeley db/berkeley-db/' -i ${JHALFSDIR}/dependencies.list
+sed 's/linux api headers/linux-api-headers/' -i ${JHALFSDIR}/dependencies.list
+# Replace :: in perl package names with hyphen
+sed 's/::/-/g' -i ${JHALFSDIR}/dependencies.list
+sed 's@,@@g' -i ${JHALFSDIR}/dependencies.list
+# Remove trailing '.' characters
+sed 's@\.@@g' -i ${JHALFSDIR}/dependencies.list
+echo "done"
+
+
+
+#### Extracting urls and md5sums
+echo -n "Extracting URLs and MD5Sums list..."
+xsltproc --nonet --stringparam pkgmngt "y" \
+         --output ${JHALFSDIR}/urls.list   \
+         ${JHALFSDIR}/urls.xsl ${JHALFSDIR}/prbook.xml
+echo "done"
+
+
+
+#### Create config files
+# Ugly, ugly, ugly hackery (no idea where the "--&gt;" are coming from), but
+# the following gets the job done for now (but should fix it if I can):
+echo -n "Extracting configuration files list...."
+xsltproc --nonet --output ${JHALFSDIR}/configfiles.list \
+         ${JHALFSDIR}/configfiles.xsl ${JHALFSDIR}/prbook.xml
+sed -e '/--&gt;/d' -e '/"$/d' -e 's@, $@"@' -e '/""/d' \
+    -e 's@", @"@' -e '/^</d' -e 's/,/ /g' -i $JHALFSDIR/configfiles.list
+# modprobe config file is named modprobe, despite being part of linux package
+sed 's@^modprobe@linux@' -i $JHALFSDIR/configfiles.list
+echo "done"
+
+
+
+#### Convert scripts to output PKGBUILD files
+
+# Generic command and header for PKGBUILD files
+tempfile=`mktemp`
+cat > ${tempfile} << "EOF"
+cat > PKGBUILD << "REALEOF"
+# Maintainer Linux From Scratch <lfs-dev@lists.linuxfromscratch.org>
+
+pkgname=""
+pkgver=""
+pkgrel="1"
+pkgdesc=""
+arch=()
+license=()
+groups=('core')
+depends=()
+makedepends=()
+checkdepends=()
+optdepends=()
+backup=()
+source=()
+md5sums=()
+
+EOF
+
+echo -e "\nProcessing PKGBUILD files (this may take a while):"
+sleep 3
+# For each file, several changes need to be made and need to be done in order
+for file in \
+  ${JHALFSDIR}/lfs-commands/chapter{08/*,09/*-bootscripts,10/*-kernel}; do
+
+  echo -n "Processing ${file}..."
+
+  # Skip pkgmgt, stripping, and revisedchroot and 8??-?? files
+  scriptfile=`basename ${file}`
+  echo "${scriptfile}" | grep -q "pkgmgt" &&
+       echo "skip" && continue;
+  echo "${scriptfile}" | grep -q "stripping" &&
+       echo "skip" && continue;
+  echo "${scriptfile}" | grep -q "revisedchroot" &&
+       echo "skip" && continue;
+  echo "${scriptfile}" | grep -q "8[0-9][0-9]-[0-9][0-9]" &&
+       echo "skip" && continue;
+
+  # The glibc package is a bit of a mess, so normalize it (ugly)...
+  if $(echo "${scriptfile}" | grep -q "glibc"); then
+    #Note: These break if anybody messes with the directory creation in
+    #      LFS/lfs.xsl
+    sed '/^mkdir -pv $PKG_DEST\/{/,+13d' -i ${file}
+    sed '/^for dir in/,+20d' -i ${file}
+    sed '0,/^PREV_SEC/s//PREVSEC/' -i ${file}
+    sed '/^PREV_SEC/,+3d' -i ${file}
+    sed 's/^PREVSEC/PREV_SEC/' -i ${file}
+    sed "s@^ln -sfv@PREV_SEC=\${SECONDS}\npackInstall\nSECONDS=\${PREV_SEC}\nrm -rf \$PKG_DEST\nln -sfv@" \
+        -i ${file}
+    # The glibc package no longer uses jhalfs's DESTDIR pre-populate and prune
+    sed "s@^touch@mkdir -pv \$PKG_DEST/etc\ntouch@" -i ${file}
+  fi
+
+  # adding in the non-wide ncurses also creates some issues
+  if $(echo "${scriptfile}" | grep -q "ncurses"); then
+    if $(grep -q "^make distclean" ${file}); then
+      start=`grep -n "^make distclean" ${file} | cut -d ":" -f 1`
+      stop=`grep -n "^cp -av lib/lib" ${file} | cut -d ":" -f 1`
+      # cp -v -R doc/* $PKG_DEST/usr/share/doc/ncurses-6.2
+      nwtempfile=`mktemp`
+      sed -n "${start},${stop}p" ${file} > ${nwtempfile}
+      sed "${start},${stop}d" -i ${file}
+      sed "s@^for dir in@FIXME\nfor dir in@" -i ${file}
+      sed "/^FIXME/e cat ${nwtempfile}" -i ${file}
+      sed 's@^FIXME@EOF@' -i ${file}
+      rm -f ${nwtempfile}
+      unset start stop nwtempfile
+    fi
+  fi
+
+  unset scriptfile
+
+  # 1.  Don't untar the package, create the source direcotry, and give our
+  #     pacman user ownership of the new build directory - reuse $PKG_DEST
+  sed -e "s@^tar -xf \$PACKAGE@rm -rf \$PKG_DEST\ninstall -d -o pacman \$PKG_DEST@" \
+      -i ${file}
+
+  # 2.  Remove "# remap=make" comments as configure and make are combined
+  #     into build() in PKGBUILD files
+  count=`grep -c "^# remap=configure" ${file}`
+  if test "${count}" != "0"; then
+    sed '/^# remap=make/d' -i ${file}
+  else
+    sed 's@^# remap=make@# remap=configure@' -i ${file}
+  fi
+
+  # 3.  Insert cat > commands and generic PKGBUUILD headers at
+  #     "# Start of LFS book script"
+  sed "/# Start of LFS book script/e cat ${tempfile}" -i ${file}
+  sed -e '/^# Start of LFS book script/d' -i ${file}
+
+  # 4.  End the dump to PKGBUILD - ugly but better than ranges at this point
+  sed -e '0,/^PREV_SEC/s@PREV_SEC@PREVSEC@' -i ${file}
+  sed -e "/^PREV_SEC/s@^PREV_SEC@REALEOF\nPREV_SEC@" -i ${file}
+  sed 's@^PREVSEC@PREV_SEC@' -i ${file}
+
+  # 5.  Remove any duplicate "# remap={pre,configure,test,install}"
+  sed '0,/^# remap=pre/s@^# remap=pre@# remap=apre@' -i ${file}
+  sed '/^# remap=pre/d' -i ${file}
+  sed 's@^# remap=apre@# remap=pre@' -i ${file}
+  sed '0,/^# remap=conf/s@^# remap=conf@# remap=aconf@' -i ${file}
+  sed '/^# remap=conf/d' -i ${file}
+  sed 's@^# remap=aconf@# remap=conf@' -i ${file}
+  sed '0,/^# remap=test/s@^# remap=test@# remap=atest@' -i ${file}
+  sed '/^# remap=test/d' -i ${file}
+  sed 's@^# remap=atest@# remap=test@' -i ${file}
+  sed '0,/^# remap=install/s@^# remap=install@# remap=ainstall@' -i ${file}
+  sed '/^# remap=install/d' -i ${file}
+  sed 's@^# remap=ainstall@# remap=install@' -i ${file}
+
+  # 6.  Create any install files...
+  grep "####POSTINST####" $file >/dev/null 2>&1
+  if test "$?" -eq "0"; then
+    start=`grep -n "####POSTINST####" ${file} | cut -d ":" -f 1`
+    stop=`grep -n "####ENDPOSTINST####" ${file} | cut -d ":" -f 1`
+    version=`grep "^VERSION=" ${file} | cut -d "=" -f 2 | sed 's@"@@g'`
+    package=`grep "^PACKAGE=" ${file} | cut -d "=" -f 2 | sed 's@"@@g'`
+    package=`echo ${package} | sed "s@-${version}.*@@"`
+    insttempfile=`mktemp`
+    post_install=`sed -n "$((${start} + 1)),$(( ${stop} - 1))p" ${file}`
+    newfile="${package}.install"
+    echo -e "# ${newfile}\n" > ${insttempfile}
+    echo "post_install(){" >> ${insttempfile}
+    echo "${post_install}" | sed 's@^@  @' >> ${insttempfile}
+    echo "}" >> ${insttempfile}
+    sed "${start},${stop}d" -i ${file}
+    sed "/\"REALE/s@cat@cat > ${newfile} << \"EOF\"\nFIXME\ncat@" \
+        -i $file
+    sed "/^FIXME/e cat ${insttempfile}" -i ${file}
+    sed 's@^FIXME@EOF@' -i ${file}
+    rm -f ${insttempfile}
+    sed "s@^groups@install=\"${newfile}\"\ngroups@" -i ${file}
+    unset version pacakge insttempfile post_install newfile
+  fi
+
+  # 7.  Insert the functions
+  sed "s@^# remap=pre@prepare(){\ncd \${pkgname}-\${pkgver}@" -i ${file}
+  sed "s@^# remap=configure@build(){\ncd \${pkgname}-\${pkgver}@" -i ${file}
+  sed "s@^# remap=test@check(){\ncd \${pkgname}-\${pkgver}@" -i ${file}
+  sed "s@^# remap=install@package(){\ncd \${pkgname}-\${pkgver}@" -i ${file}
+  # now end the functions - nested but works
+  sed "s@^REALEOF@chown -R root:root \${pkgdir}\n}\n\nREALEOF@" -i ${file}
+#  sed "s@^REALEOF@}\n\nREALEOF@" -i ${file}
+  if test "$(grep "^check()" ${file})" != "" \
+       -o "$(grep "^build()" ${file})" != "" \
+       -o "$(grep "^prepare()" ${file})" != ""; then
+    sed "s@^package()@}\n\npackage()@" -i ${file}
+    if test "$(grep "^build()" ${file})" != "" \
+         -o "$(grep "^prepare()" ${file})" != ""; then
+      sed "s@^check()@}\n\ncheck()@" -i ${file}
+      if test "$(grep "^prepare()" ${file})" != ""; then
+        sed "s@^build()@}\n\nbuild()@" -i ${file}
+      fi
+    fi
+  fi
+
+  # 8.  We won't use $PKGDIR, just reuse $PKG_DEST
+  sed 's@^cd $PKGDIR@cd $PKG_DEST@' -i ${file}
+  sed '/^rm -rf $PKGDIR/d' -i ${file}
+  sed '/^if \[ -d "${PKGDIR/d' -i ${file}
+
+  # 9.  Account for packages that use an alternate build dir
+  count=`grep -c "^prepare" ${file}`
+  if test ${count} -gt 0; then
+    start=`grep -n "^prepare" ${file} | head -n1 | cut -d ":" -f 1`
+    stoplist=`grep -n "^}" ${file} | cut -d ":" -f 1`
+    for stop in $stoplist; do
+       if test $stop -gt $start; then
+         break;
+       fi
+    done
+    prepare=`sed -n "$((${start} + 1)),$(( ${stop} - 1))p" ${file}`
+    echo ${prepare} | grep -q "mkdir.*build"
+    if test "${?}" == "0"; then
+      sed -e "${stop},$ {/^cd/s@ver\}@ver\}/build@}" -i ${file}
+    fi
+  fi
+  unset count start stop stoplist prepare
+
+  # 10. Remove instances of ">> $TEST_LOG " - pacman has its own logging
+  sed 's@>> $TEST_LOG @@' -i ${file}
+
+  # 11. Populate pkgname, pkgver, and pkgdesc values
+  version=`grep "^VERSION" ${file} | cut -d "=" -f 2 | sed 's@"@@g'`
+  package=`grep "^PACKAGE" ${file} | cut -d "=" -f 2 | sed 's@"@@g'`
+  pkgname=`echo ${package} | sed "s@${version}.*@@" | sed 's@"@@g'`
+  echo ${pkgname} | grep -q ".*-$" && \
+       pkgname=`echo ${pkgname} | sed 's@-$@@'` || true
+  # special case for only udev to avoid dependency conflicts
+  if $(echo $file | grep -q udev); then
+    pkgname="udev"
+  fi
+  sed "s@^pkgname=\"\"@pkgname=\"${pkgname}\"@" -i ${file}
+  sed "s@^pkgver=\"\"@pkgver=\"${version}\"@" -i ${file}
+  sed "s@^pkgdesc=\"\"@pkgdesc=\"${pkgname} ${version}\"@" -i ${file}
+  unset version package pkgname
+
+  # 12. Use ${pkgdir} instead of $PKG_DEST in install()
+  if test "$(grep "^package" $file)" != ""; then
+    start=`grep -n "^package\(\)" ${file} | head -n1 | cut -d ":" -f 1`
+    stoplist=`grep -n "^}" ${file} | cut -d ":" -f 1`
+      for stop in $stoplist; do
+        if test $stop -gt $start; then
+          break;
+        fi
+      done
+    sed -e "${start},${stop} {s@\$PKG_DEST@\${pkgdir}@g}" -i ${file}
+  fi
+  unset start stop stoplist
+
+  # 13. Use ${srcdir} instead of relative links (globally)
+  sed -e '/^tar/s@ ../../@ ${srcdir}/@' \
+      -e '/^tar/s@ ../@ ${srcdir}/@' \
+      -e '/^patch/s@ ../../@ ${srcdir}/@' \
+      -e '/^patch/s@ ../@ ${srcdir}/@' -i ${file}
+
+  # 14. Don't remove PKG_DEST before cd'ing out of it!
+  sed "s@^packInstall@packInstall\ncd \$SRC_DIR@" -i $file
+
+  # 15. We don't untar, and we are done with $PREV_SEC, so don't juggle time
+  sed '/PREV_SEC/d' -i ${file}
+
+  echo "done"
+done
+
+rm -f ${tempfile}
+unset tempfile file
+
+# We still need to do these few for the chapter-08 addtions
+for file in ${JHALFSDIR}/lfs-commands/chapter08/8[0-9][0-9]-[0-9][0-9]-* ; do
+  sed -e "s@^tar -xf \$PACKAGE@rm -rf \$PKG_DEST\ninstall -d -o pacman \$PKG_DEST@" \
+      -i ${file}
+  sed 's@^cd $PKGDIR@cd $PKG_DEST@' -i ${file}
+  sed '/^rm -rf $PKGDIR/d' -i ${file}
+  sed '/^if \[ -d "${PKGDIR/d' -i ${file}
+done
+
+#### Set arch specific to build host and package
+echo -n "Processing arch=() values..."
+myarch=$(uname -m)
+for file in \
+  ${JHALFSDIR}/lfs-commands/chapter{08/*,09/*-bootscripts,10/*-kernel}; do
+
+  # Skip pkgmgt, stripping, and revisedchroot
+  scriptfile=`basename ${file}`
+  echo "${scriptfile}" | grep "pkgmgt" > /dev/null && continue;
+  echo "${scriptfile}" | grep "stripping" > /dev/null && continue;
+  echo "${scriptfile}" | grep "revisedchroot" > /dev/null && continue;
+  unset scriptfile
+
+  pkgname=`grep "^pkgname" ${file} | sed 's@pkgname=@@;s@\"@@g'`
+  if test "${pkgname}"x != "x"; then
+    if test "${pkgname}" == "man-pages"  -o \
+            "${pkgname}" == "iana-etc"   -o \
+            "${pkgname}" == "xml-parser" -o \
+            "${pkgname}" == "lfs-bootscripts"; then
+      sed "s@^arch=()@arch=('any')@" -i ${file}
+    else
+      sed "s@^arch=()@arch=('$myarch')@" -i ${file}
+    fi
+  fi
+done
+unset file
+echo "done"
+
+
+
+#### Add license info
+echo -n "Processing license() values..."
+for file in \
+  ${JHALFSDIR}/lfs-commands/chapter{08/*,09/*-bootscripts,10/*-kernel}; do
+
+  # Skip pkgmgt, stripping, and revisedchroot
+  scriptfile=`basename ${file}`
+  echo "${scriptfile}" | grep "pkgmgt" > /dev/null && continue;
+  echo "${scriptfile}" | grep "stripping" > /dev/null && continue;
+  echo "${scriptfile}" | grep "revisedchroot" > /dev/null && continue;
+  unset scriptfile
+
+  pkgname=`grep "^pkgname" ${file} | sed 's@pkgname=@@;s@\"@@g'`
+  if test "${pkgname}"x != "x"; then
+    licenses=`grep "^${pkgname}=" ${JHALFSDIR}/licenses.list | \
+              cut -d "=" -f 2 | sed 's@"@@g'`
+    if test "${licenses}x" == "x"; then
+      continue;
+    else
+      licenses="$licenses END"
+      tempfile=`mktemp`
+      echo -n "license=(" > ${tempfile}
+      for i in ${licenses}; do
+        if test "${i}" == "END"; then
+          echo ")" >> ${tempfile}
+          break;
+        elif test "${c}x" != "x"; then
+          echo "" >> ${tempfile}
+        fi
+        if test "${c}" == "1"; then
+          echo -n "         '${i}'" >> ${tempfile}
+        else
+          echo -n "'${i}'" >> ${tempfile}
+          c="1"
+        fi
+      done
+      unset c
+      sed "/^license/e cat ${tempfile}" -i ${file}
+      rm ${tempfile}
+      unset tempfile licenses
+    fi
+    sed '/^license=()/d' -i ${file}
+  fi
+done
+unset file
+echo "done"
+
+
+#### Add dependency array info
+echo "Processing depends(), makedepends(), checkdepends(), and"
+echo -n "optdepends() values..."
+for file in \
+  ${JHALFSDIR}/lfs-commands/chapter{08/*,09/*-bootscripts,10/*-kernel}; do
+
+  # Skip pkgmgt, stripping, revisedchroot, and PM packages
+  scriptfile=`basename ${file}`
+  echo "${scriptfile}" | grep -q "pkgmgt" && continue;
+  echo "${scriptfile}" | grep -q "stripping" && continue;
+  echo "${scriptfile}" | grep -q "revisedchroot" && continue;
+  echo "${scriptfile}" | grep -q "8[0-9][0-9]-[0-9][0-9]" && continue;
+  unset scriptfile
+
+  pkgname=`grep "^pkgname" ${file} | sed 's@pkgname=@@;s@\"@@g'`
+  if test "${pkgname}"x != "x"; then
+    depends=`grep "^${pkgname}-rundeps" ${JHALFSDIR}/dependencies.list`
+    makedeps=`grep "^${pkgname}-depends" ${JHALFSDIR}/dependencies.list`
+    checkdeps=`grep "^${pkgname}-testdeps" ${JHALFSDIR}/dependencies.list`
+    optdeps=`grep "^${pkgname}-optdeps" ${JHALFSDIR}/dependencies.list`
+  fi
+  # depends()
+  if test "${depends}x" != "x"; then
+    depends=`echo "${depends} rootfs END" | cut -d "=" -f 2 | sed 's@"@@g'`
+    tempfile=`mktemp`
+    echo -n "depends=(" > ${tempfile}
+    for i in ${depends}; do
+      if test "${i}" == "END"; then
+        echo ")" >> ${tempfile}
+        break;
+      elif test "${c}x" != "x"; then
+        echo "" >> ${tempfile}
+      fi
+      if test "${c}" == "1"; then
+        echo -n "         '${i}'" >> ${tempfile}
+      else
+        echo -n "'${i}'" >> ${tempfile}
+        c="1"
+      fi
+    done
+    unset c
+    sed "/^depends/e cat ${tempfile}" -i ${file}
+    rm ${tempfile}
+    unset tempfile
+    depends=`echo ${depends} | sed 's@ END@@'`
+  fi
+  sed '/^depends=()/d' -i ${file}
+  # makedepends()
+  if test "${makedeps}x" != "x"; then
+    makedeps=`echo "${makedeps} END" | cut -d "=" -f 2 | sed 's@"@@g'`
+    tempfile=`mktemp`
+    echo -n "makedepends=(" > ${tempfile}
+    for i in ${makedeps}; do
+      # skip depends
+      echo "${depends}" | grep -q "${i}" && continue;
+      if test "${i}" == "END"; then
+        echo ")" >> ${tempfile}
+        break;
+      elif test "${c}x" != "x"; then
+        echo "" >> ${tempfile}
+      fi
+      if test "${c}" == "1"; then
+        echo -n "             '${i}'" >> ${tempfile}
+      else
+        echo -n "'${i}'" >> ${tempfile}
+        c="1"
+      fi
+    done
+    unset c
+    sed "/^makedepends/e cat ${tempfile}" -i ${file}
+    rm ${tempfile}
+    unset tempfile
+  fi
+  sed '/^makedepends=()/d' -i ${file}
+  # checkdepends()
+  if test "${checkdeps}x" != "x"; then
+    checkdeps=`echo "${checkdeps} END" | cut -d "=" -f 2 | sed 's@"@@g'`
+    tempfile=`mktemp`
+    echo -n "checkdepends=(" > ${tempfile}
+    for i in ${checkdeps}; do
+      if test "${i}" == "END"; then
+        echo ")" >> ${tempfile}
+        break;
+      elif test "${c}x" != "x"; then
+        echo "" >> ${tempfile}
+      fi
+      if test "${c}" == "1"; then
+        echo -n "              '${i}'" >> ${tempfile}
+      else
+        echo -n "'${i}'" >> ${tempfile}
+        c="1"
+      fi
+    done
+    unset c
+    sed "/^checkdepends/e cat ${tempfile}" -i ${file}
+    rm ${tempfile}
+    unset tempfile
+  fi
+  sed '/^checkdepends=()/d' -i ${file}
+  # optdepends()
+  if test "${optdeps}x" != "x"; then
+    optdeps=`echo "${optdeps} END" | cut -d "=" -f 2 | sed 's@"@@g'`
+    tempfile=`mktemp`
+    echo -n "optdepends=(" > ${tempfile}
+    for i in ${optdeps}; do
+      if test "${i}" == "END"; then
+        echo ")" >> ${tempfile}
+        break;
+      elif test "${c}x" != "x"; then
+        echo "" >> ${tempfile}
+      fi
+      if test "${c}" == "1"; then
+        echo -n "            '${i}'" >> ${tempfile}
+      else
+        echo -n "'${i}'" >> ${tempfile}
+        c="1"
+      fi
+    done
+    unset c
+    sed "/^optdepends/e cat ${tempfile}" -i ${file}
+    rm ${tempfile}
+    unset tempfile
+  fi
+  sed '/^optdepends=()/d' -i ${file}
+done
+unset file pkgname depends makedeps checkdeps optdeps
+echo "done"
+
+
+#### Add source and md5sums arrays
+echo -n "Processing source() and md5sums() values..."
+for file in \
+  ${JHALFSDIR}/lfs-commands/chapter{08/*,09/*-bootscripts,10/*-kernel}; do
+
+  # Skip pkgmgt, stripping, revisedchroot, and PM packages
+  scriptfile=`basename ${file}`
+  echo "${scriptfile}" | grep -q "pkgmgt" && continue;
+  echo "${scriptfile}" | grep -q "stripping" && continue;
+  echo "${scriptfile}" | grep -q "revisedchroot" && continue;
+  echo "${scriptfile}" | grep -q "8[0-9][0-9]-[0-9][0-9]" && continue;
+  unset scriptfile
+
+  pkgname=`grep "^pkgname" ${file} | sed 's@pkgname=@@;s@\"@@g'`
+  if test "${pkgname}"x != "x"; then
+    tempfile=`mktemp`
+    tempfile2=`mktemp`
+    tempfile3=`mktemp`
+    # expect and tcl are special cases
+    if test "${pkgname}" == "tcl" -o "${pkgname}" == "expect"; then
+      grep "/${pkgname}/" ${JHALFSDIR}/urls.list > ${tempfile}
+      if test "${pkgname}" == "tcl"; then
+        htmlfile=$(basename `grep "${pkgname}.*-html" ${JHALFSDIR}/urls.list \
+                     | cut -d " " -f 1`)
+        sed -e "s@^md5sums=()@noextract=(\'${htmlfile}\')\nmd5sums=()@" \
+            -i ${file}
+        unset htmlfile
+      fi
+    else
+      grep "${pkgname}-" ${JHALFSDIR}/urls.list > ${tempfile}
+    fi
+    # libelf is a special case
+    if test "${pkgname}" == "libelf"; then
+      pkgnametmp=`grep "^_pkgname" ${file} | sed 's@_pkgname=@@;s@\"@@g'`
+      grep "/${pkgnametmp}/" ${JHALFSDIR}/urls.list > ${tempfile}
+    fi
+    # Special case for glibc
+    if test "${pkgname}" == "glibc"; then
+      grep "tzdata" ${JHALFSDIR}/urls.list >> ${tempfile}
+      tzdatafile=`basename $(grep "tzdata" ${JHALFSDIR}/urls.list | \
+                   cut -d " " -f 1)`
+      sed -e "s@^md5sums=()@noextract=(\'${tzdatafile}\')\nmd5sums=()@" \
+          -i ${file}
+    fi
+    # Special case for linux
+    if test "${pkgname}" == "linux"; then
+      sed -e '/util-linux/d' -e '/libcap/d' -i ${tempfile}
+    fi
+    # Special case for Python
+    if test "${pkgname}" == "Python"; then
+      grep "Python-" ${JHALFSDIR}/urls.list > ${tempfile}
+      grep "python.*docs-html" ${JHALFSDIR}/urls.list >> ${tempfile}
+      pydocs=`basename $(grep "python.*docs-html" ${JHALFSDIR}/urls.list | \
+                cut -d " " -f 1)`
+      sed -e "s@^md5sums=()@noextract=(\'${pydocs}\')\nmd5sums=()@" -i ${file}
+    fi
+    # Special case for make - it pulls in automake
+    if test "${pkgname}" == "make"; then
+      sed '/automake/d' -i ${tempfile}
+    fi
+    # Special case for eudev
+    if test "${pkgname}" == "eudev"; then
+      grep "udev-lfs" ${JHALFSDIR}/urls.list >> ${tempfile}
+      lfsudevtar=`basename $(grep "udev-lfs" ${JHALFSDIR}/urls.list | \
+                    cut -d " " -f 1)`
+      sed -e "s@^md5sums=()@noextract=('${lfsudevetar}'\)\nmd5sums=()@" \
+          -i ${file}
+      sed -e 's@xvf  ..@xvf ${srcdir}@' -i ${file}
+    fi
+    # Special case for udev
+    if test "${pkgname}" == "udev"; then
+      grep "systemd" ${JHALFSDIR}/urls.list > ${tempfile}
+      grep "udev-lfs" ${JHALFSDIR}/urls.list >> ${tempfile}
+      lfsudevtar=`basename $(grep "udev-lfs" ${JHALFSDIR}/urls.list | \
+                    cut -d " " -f 1)`
+      sysdman=`basename $(grep "systemd-man-pages" ${JHALFSDIR}/urls.list | \
+                          cut -d " " -f 1)`
+      sed -e "s@^md5sums=()@noextract=('${lfsudevtar}'\n           '${sysdman}'\)\nmd5sums=()@" \
+          -i ${file}
+      sed -e 's@xvf  ..@xvf ${srcdir}@' -i ${file}
+      sed -e "s@^pkgname=\"udev\"@pkgname=\"udev\"\n_pkgname=\"systemd\"@" \
+          -e 's@${pkgname}@${_pkgname}@g' -i ${file}
+    fi
+    cut -d " " -f 1 ${tempfile} > ${tempfile2}
+    cut -d " " -f 3 ${tempfile} > ${tempfile3}
+    sed -e "s/^/'/" -e "s/$/'/" -i ${tempfile2}
+    sed -e "s/^/'/" -e "s/$/'/" -i ${tempfile3}
+    sed '1s/^/source=(/' -i ${tempfile2}
+    sed "s/^'/        '/" -i ${tempfile2}
+    sed '$ s/$/)/' -i ${tempfile2}
+    sed '1s/^/md5sums=(/' -i ${tempfile3}
+    sed "s/^'/         '/" -i ${tempfile3}
+    sed '$ s/$/)/' -i ${tempfile3}
+    sed "/^source=\(\)/e cat ${tempfile2}" -i ${file}
+    sed "/^md5sums=\(\)/e cat ${tempfile3}" -i ${file}
+    sed '/^source=()/d' -i ${file}
+    sed '/^md5sums=()/d' -i ${file}
+    rm ${tempfile} ${tempfile2} ${tempfile3}
+    unset tempfile tempfile2 tempfile3 pkgname
+  fi
+done
+unset file
+echo "done"
+
+
+#### Add backup array contents
+echo -n "Processing backup() values..."
+for file in \
+  ${JHALFSDIR}/lfs-commands/chapter{08/*,09/*-bootscripts,10/*-kernel}; do
+
+  # Skip pkgmgt, stripping, revisedchroot, and PM packages
+  scriptfile=`basename ${file}`
+  echo "${scriptfile}" | grep -q "pkgmgt" && continue;
+  echo "${scriptfile}" | grep -q "stripping" && continue;
+  echo "${scriptfile}" | grep -q "revisedchroot" && continue;
+  echo "${scriptfile}" | grep -q "8[0-9][0-9]-[0-9][0-9]" && continue;
+  unset scriptfile
+
+  pkgname=`grep "^pkgname" ${file} | sed 's@pkgname=@@;s@\"@@g'`
+  if test "${pkgname}"x != "x"; then
+    backup=`grep "^${pkgname}" ${JHALFSDIR}/configfiles.list`
+    # Special case for shadow
+    if test "${pkgname}" == "shadow"; then
+      backup='shadow="/etc/shadow /etc/gshadow"'
+    fi
+    if test "${backup}x" == "x"; then
+      sed '/^backup=()/d' -i ${file}
+      continue;
+    fi
+    backup=`echo "${backup}" | cut -d "=" -f 2 | sed 's@"@@g'`
+    # /etc/ld.so.conf will be part of rootfs
+    backup=`echo ${backup} | sed 's@/etc/ld.so.conf@@'`
+    backup="${backup} END"
+    tempfile=`mktemp`
+    echo -n "backup=(" > ${tempfile}
+    for i in ${backup}; do
+      if test "${i}" == "END"; then
+        echo ")" >> ${tempfile}
+        break;
+      elif test "${c}x" != "x"; then
+        echo "" >> ${tempfile}
+      fi
+      if test "${c}" == "1"; then
+        echo -n "        '${i}'" >> ${tempfile}
+      else
+        echo -n "'${i}'" >> ${tempfile}
+        c="1"
+      fi
+    done
+    unset c
+    # No leading slash
+    sed "s@'/@'@" -i ${tempfile}
+    sed "/^backup\(\)/e cat ${tempfile}" -i ${file}
+    rm ${tempfile}
+    unset tempfile
+  fi
+  sed '/^backup=()/d' -i ${file}
+done
+unset backup file
+echo "done"
+
+#### Package specific fixes
+
+echo -n "Applying package specific fixes..."
+
+# Special cases for zoneinfo in chapter08 glibc
+# It should install to $pkgdir, but not try to use $pkdir/dev/null
+# Also use the just built zic
+# Remove /etc/ld.so.{conf,cache}
+sed "s@ZONEINFO=@# Note: you may want to separate zoneinfo from glibc\nZONEINFO=@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-glibc
+sed 's@${pkgdir}/dev/null@/dev/null@' \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-glibc
+sed 's@zic @${pkgdir}/usr/sbin/zic @g' \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-glibc
+# The glibc package should also leave emptydirs, staticlibs, and don't strip
+sed "s@^groups=@options=('!emptydirs' 'staticlibs' '!strip')\ngroups=@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-glibc
+# Don't overwrite /etc/ld.so.conf
+sed '/^cat > \/etc\/ld.so.conf/,+5 d' \
+   -i ${JHALFSDIR}/lfs-commands/chapter08/*-glibc
+sed '/^unset ZONEINFO/a rm -f ${pkgdir}\/etc\/ld.so.c{onf,ache}' \
+   -i ${JHALFSDIR}/lfs-commands/chapter08/*-glibc
+# nsswitch.conf isn't in remap=install tags
+sed '/^cat > \/etc\/nss/s@/etc@${pkgdir}/etc@' \
+   -i ${JHALFSDIR}/lfs-commands/chapter08/*-glibc
+
+
+# Same thing for gcc - leave emptydirs, staticlibs around and don't strip
+sed "s@^groups=@options=('!emptydirs' 'staticlibs' '!strip')\ngroups=@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-gcc
+# GCC also needs /usr/lib/bfd-plugins
+sed "s@^mkdir -pv \${pkgdir}/{boot,etc}@mkdir -pv \${pkgdir}/usr/lib/bfd-plugins\nmkdir -pv \${pkgdir}/{boot,etc}@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-gcc
+
+
+# binutils - skip the expect -c check
+sed '/^expect -c "spawn ls"/d' \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-binutils
+# Don't strip
+sed "s@^groups=@options=('!emptydirs' 'staticlibs' '!strip')\ngroups=@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-binutils
+
+
+# GMP - make it build for uname -m, not cpu generation
+sed "s@./configure@cp -v config{fsf,}.guess\ncp -v config{fsf,}.sub\n./configure@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-gmp
+
+
+# Shadow in chapter08 will already have /usr/bin/passwd
+sed '/^touch \/usr\/bin\/passwd/d' \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-shadow
+# Also, the useradd command is not yet present so do it the other way
+sed "s@^useradd -D --gid 999@install -vdm755 \${pkgdir}/etc/default\necho \"GROUPS=999\" >> \${pkgdir}/etc/default/useradd@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-shadow
+
+
+# libelf - change pkgname
+sed -e 's@"elfutils@"libelf@' \
+    -e 's@{pkgname@{_pkgname@g' \
+    -e 's@^pkgname="libelf"@pkgname="libelf"\n_pkgname="elfutils"@' \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-libelf
+
+# Python in LFS chapter08 should not install ensurepip - it was installed in
+# chapter07 and pip and setuptools will be reinstalled in chapter08 sepearately
+sed '/ensurepip/s/yes/no /' -i ${JHALFSDIR}/lfs-commands/chapter08/*-Python
+# python change pkgname to lower case
+sed -e 's@{pkgname@{_pkgname@g' \
+    -e "s@^pkgname=\"Python\"@pkgname=\"python\"\n_pkgname=\"Python\"@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-Python
+
+# Make xml-parser lowercase
+sed -e 's@{pkgname@{_pkgname@g' \
+    -e "s@^pkgname=\"XML-Parser\"@pkgname=\"xml-parser\"\n_pkgname=\"XML-Parser\"@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-xml-parser
+
+# rootfs is a special case too...no source file
+sed -e '/^PKGDIR/d' \
+    -e '/^tar -xf $PACKAGE/d' \
+    -e '/^cd $PKGDIR/d' \
+    -i ${JHALFSDIR}/lfs-commands/chapter07/*-rootfs
+
+
+# tcl needs a bit of help getting the pkgname and pkgver correct
+origpkgname=`grep "^pkgname=" ${JHALFSDIR}/lfs-commands/chapter08/*-tcl | \
+             cut -d "=" -f 2 | sed 's@"@@g'`
+pkgname="tcl"
+pkgver=`echo "${origpkgname}" | sed "s@${pkgname}@@"`
+sed "/^pkgname/s@${pkgname}${pkgver}@${pkgname}@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-tcl
+sed "/^pkgver/s@src@${pkgver}@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-tcl
+sed "/^pkgdesc/s@${origpkgname} src@${pkgname} ${pkgver}@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-tcl
+# tcl also needs a noextract added
+sed "s@^md5sums=()@noextract=('${origpkgname}-html.tar.gz')\nmd5sums=()@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-tcl
+# tcl also has a weird extract directory and a strange subdir build
+file="${JHALFSDIR}/lfs-commands/chapter08/*-tcl"
+sed 's@${pkgname}-${pkgver}@${pkgname}${pkgver}@' -i ${file}
+start1=`grep -n "^check()" ${file} | cut -d ":" -f 1`
+start2=`grep -n "^package()" ${file} | cut -d ":" -f 1`
+stoplist=`grep -n "^}" ${file} | cut -d ":" -f 1`
+for stop in ${stoplist}; do
+  if test ${stop} -gt ${start1}; then
+    stop1=${stop}
+    break;
+  fi
+done
+for stop in ${stoplist}; do
+  if test ${stop} -gt ${start2}; then
+    stop2=${stop}
+    break;
+  fi
+done
+sed "${start1},${stop1} {s@^cd \"\${pkgname}\${pkgver}@cd \"\${pkgname}\${pkgver}/unix@}" -i $file
+sed "${start2},${stop2} {s@^cd \"\${pkgname}\${pkgver}@cd \"\${pkgname}\${pkgver}/unix@}" -i $file
+unset file start1 stop1 stoplist stop1 stop2
+# tcl too has a subdir dir
+file="${JHALFSDIR}/lfs-commands/chapter08/*-tcl"
+sed "s@^make -k test@cd unix\nmake -k test@" -i ${file}
+sed "s@^mkdir -pv \${pkgdir}/{boot,etc}@cd unix\nmkdir -pv \${pkgdir}/{boot,etc}@" -i ${file}
+
+
+# expect also has a weird tarball name
+origpkgname=`grep "^pkgver=" ${JHALFSDIR}/lfs-commands/chapter08/*-expect | \
+             cut -d "=" -f 2 | sed 's@"@@g'`
+pkgname="expect"
+pkgver=`echo "${origpkgname}" | sed "s@${pkgname}@@"`
+sed "/^pkgname/s@\"\"@\"${pkgname}\"@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-expect
+sed "/^pkgver/s@${pkgname}${pkgver}@${pkgver}@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-expect
+sed "/^pkgdesc/s@ ${origpkgname}@${pkgname} ${pkgver}@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-expect
+sed 's@${pkgname}-${pkgver}@${pkgname}${pkgver}@' \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-expect
+
+
+# ncurses - again, fix installation of non-wide libraries
+#           won't hurt anything if missing
+sed '/^cp -av lib\/lib/s@ /usr/lib@ ${pkgdir}/usr/lib@' \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-ncurses
+sed 's@^EOF@@' -i ${JHALFSDIR}/lfs-commands/chapter08/*-ncurses
+# Also, fix a potential race condition when building non-wide ncurses
+sed 's@^make sources@make -j1 sources@' \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-ncurses
+
+
+# procps-ng extracts to procps-${pkgver}
+sed -e "s@^pkgname=\"procps-ng\"@pkgname=\"procps-ng\"\n_pkgname=\"procps\"@" \
+    -e "s@\${pkgname}@\${_pkgname}@g" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-procps-ng
+
+
+# We are already building as the unprivileged pacman user in chapter 8, so
+# remove most of the tester user
+
+sed -e '/^chown -Rv tester/d' \
+    -e "s@^su tester -c \"PATH=\$PATH make -k check\"@make -k check@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-{bash,findutils,gcc,sed}
+
+sed -e '/^chown -Rv tester/d' \
+    -e "s@^su tester -c \"LANG=en_US.UTF-8 make -k -j1 test\"@LANG=en_US.UTF-8 make -k -j1 test@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-vim
+
+sed -e '/^chown -Rv tester/d' \
+    -e "s@^su tester -c \"make -k check\"@make -k check@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-util-linux
+
+# Bash works as is, so leave it alone for now
+
+# Coreutils - pacman user doesn't have permission to do anything by design
+# We are already running unprivileged, so just do a regular make check
+sed -e 's/NON_ROOT_USERNAME=tester check-root/check/' \
+    -e '/dummy/d' \
+    -e '/chown -Rv tester/d' \
+    -e '/^su tester/d' \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-coreutils
+
+
+# Python has a multiline tar command that wasn't fixed earlier
+sed -e '/\.\.\/python-.*-docs-html/s@\.\.@${srcdir}@' \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-Python
+
+
+# e2fsprogs unzips the info files and then attempts to install directly
+# we are gzipping the info files anyway as part of our pacman install
+sed -e '/^gunzip/d' \
+    -e '/^install-info/d' \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-e2fsprogs
+
+
+# metapackages have no source
+sed '/^PACKAGE/d' -i ${JHALFSDIR}/lfs-commands/chapter08/*-{core,core-pacman}*
+
+
+# /usr/bin/wall should be root:tty, this is the only package where a workaround
+# is necessary beyond changing ownership to root:root
+sed "s@chown -R root:root \${pkgdir}@chown -R root:root \${pkgdir}\nchown root:tty \${pkgdir}/usr/bin/wall@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter08/*-util-linux
+
+# MarkupSafe -- fix install
+if [ -f ${JHALFSDIR}/lfs-commands/chapter08/*-markupsafe ]; then
+  sed 's@setup\.py install@setup.py install --root=${pkgdir}@' \
+      -i ${JHALFSDIR}/lfs-commands/chapter08/*-markupsafe
+  # fix package name
+  sed -e "s@^pkgname=\"MarkupSafe\"@pkgname=\"markupsafe\"\n_pkgname=\"MarkupSafe\"@" \
+      -e 's@${pkgname}@${_pkgname}@g' \
+      -i ${JHALFSDIR}/lfs-commands/chapter08/*-markupsafe
+fi
+
+# Jinja2 -- fix install
+if [ -f ${JHALFSDIR}/lfs-commands/chapter08/*-jinja2 ]; then
+  sed 's@setup\.py install@setup.py install --root=${pkgdir}@' \
+      -i ${JHALFSDIR}/lfs-commands/chapter08/*-jinja2
+  # fix package name
+  sed -e "s@^pkgname=\"Jinja2\"@pkgname=\"jinja2\"\n_pkgname=\"Jinja2\"@" \
+      -e 's@${pkgname}@${_pkgname}@g' \
+      -i ${JHALFSDIR}/lfs-commands/chapter08/*-jinja2
+fi
+
+
+# systemd - package uses build dir differently
+if [ -f ${JHALFSDIR}/lfs-commands/chapter08/*-systemd ]; then
+  line=$(grep -n "^package()" ${JHALFSDIR}/lfs-commands/chapter08/*-systemd | \
+         cut -d ":" -f 1)
+  line=$(( ${line} + 1))
+  sed "${line}s@pkgver}@pkgver}/build@" \
+      -i ${JHALFSDIR}/lfs-commands/chapter08/*-systemd
+fi
+
+
+# udev
+# package uses build dir differently
+if [ -f ${JHALFSDIR}/lfs-commands/chapter08/*-udev ]; then
+  line=$(grep -n "^package()" ${JHALFSDIR}/lfs-commands/chapter08/*-udev | \
+         cut -d ":" -f 1)
+  line=$(( ${line} + 1))
+  sed "${line}s@pkgver}@pkgver}/build@" \
+      -i ${JHALFSDIR}/lfs-commands/chapter08/*-udev
+  # misses a ${pkgdir} because of brace
+  sed '/^install -vdm755 {/s@{/usr@${pkgdir}/{/usr@' \
+      -i ${JHALFSDIR}/lfs-commands/chapter08/*-udev
+  # need to create /usr/share/pkgconfig
+  sed "/^install -vm644 src\/u/s@^install@install -vdm755 \${pkgdir}/usr/share/pkgconfig\ninstall@" \
+      -i ${JHALFSDIR}/lfs-commands/chapter08/*-udev
+fi
+
+
+# lfs-bootscripts needs a real md5sum
+file=`basename $(grep "lfs-bootscripts" ${JHALFSDIR}/urls.list | cut -d " " -f 1)`
+md5sum=`md5sum $BUILDDIR/sources/${file} | cut -d " " -f 1`
+sed "s@BOOTSCRIPTS-MD5SUM@${md5sum}@" \
+    -i ${JHALFSDIR}/lfs-commands/chapter09/*-bootscripts
+unset file md5sum
+
+
+# kernel -- FIXME - get the name of the file to here....
+md5sum=`md5sum ${1} | cut -d " " -f 1`
+kconfig=`basename "${1}"`
+## DEBUG
+echo "CONFIG is ${1}, md5sum is ${md5sum}, kconfig is ${kconfig}"
+sed -e "s@^cat > PKGDIR@cp \${BUILDDIR}/sources/${kconfig} .\ncat > PKGDIR@" \
+    -e "s@^source=(@source=('${kconfig}'\n        @" \
+    -e "s@^md5sums=(@md5sums=('${md5sum}'\n         @" \
+    -e "s@../${kconfig}@\${srcdir}/${kconfig}@" \
+    -i  ${JHALFSDIR}/lfs-commands/chapter10/*-kernel
+unset md5sum kconfig
+# Dont' strip the kernel
+sed "s@^groups=@options=('!strip')\ngroups=@" \
+    -i  ${JHALFSDIR}/lfs-commands/chapter10/*-kernel
+
+
+echo "done"
+
+#### WARNING
+echo -en "\n\nWARNING!\n\n"
+echo "While the installed packages created here should be identical to more"
+echo "traditional packages created elsewhere with the same commands from the"
+echo "LFS book, there are many instructions, especially in the package()"
+echo "fucntions, that could be streamlined. For instance, creating an entire"
+echo "directory tree in DESTDIR is unnecessary. This is a function of modifying"
+echo "the instructions in the LFS book, which are intended to be used when"
+echo "installing directly to the target, to use DESTDIR style installations"
+echo "in an automated way. Additonally, if you've used optimizations for the"
+echo "initial build, you'll want to remove those and the use the packaing"
+echo "tool's method to introduce global optimizations and override on an"
+echo "as needed basis. Finally, if you used the 'continue on test failures'"
+echo "option, you should remove the '|| true' in the check function, and adjust"
+echo -e "for specific, known failures.\n"
+
+echo "It is expected that you modify the resultant PKGBUILD files to elminiate"
+echo "these extraneous commands, and use more PM specific commands as you"
+echo "maintain the system through package upgrades and ongoing system"
+echo -e "maintenance.\n"
+
